MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros
WorkQueue.hxx File Reference
`#include "thread/Mutex.hxx"`
`#include "thread/Cond.hxx"`
`#include <assert.h>`
`#include <pthread.h>`
`#include <string>`
`#include <queue>`
Include dependency graph for WorkQueue.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | WorkQueue< T >
| A WorkQueue manages the synchronisation around a queue of work items, where a number of client threads queue tasks and a number of worker threads take and execute them. More...

## Macros
#define | LOGINFO(X)
#define | LOGERR(X)

## Macro Definition Documentation

#define LOGERR | ( |  | X | ) |

Definition at line 33 of file WorkQueue.hxx.

#define LOGINFO | ( |  | X | ) |

Definition at line 32 of file WorkQueue.hxx.